scala.collection.immutable

# WrappedString

#### class WrappedString extends AbstractSeq[Char] with IndexedSeq[Char] with StringLike[WrappedString]

This class serves as a wrapper augmenting `String`s with all the operations found in indexed sequences.

The difference between this class and `StringOps` is that calling transformer methods such as `filter` and `map` will yield an object of type `WrappedString` rather than a `String`.

Source
  WrappedString.scala
Since

  2.8

Linear Supertypes
StringLike[WrappedString], math.Ordered[String], Comparable[String], IndexedSeqOptimized[Char, WrappedString], IndexedSeq[Char], collection.IndexedSeq[Char], IndexedSeqLike[Char, WrappedString], Seq[Char], Iterable[Char], Traversable[Char], Immutable, AbstractSeq[Char], collection.Seq[Char], SeqLike[Char, WrappedString], GenSeq[Char], GenSeqLike[Char, WrappedString], PartialFunction[Int, Char], (Int) ⇒ Char, AbstractIterable[Char], collection.Iterable[Char], IterableLike[Char, WrappedString], Equals, GenIterable[Char], GenIterableLike[Char, WrappedString], AbstractTraversable[Char], collection.Traversable[Char], GenTraversable[Char], GenericTraversableTemplate[Char, IndexedSeq], TraversableLike[Char, WrappedString], GenTraversableLike[Char, WrappedString], Parallelizable[Char, ParSeq[Char]], TraversableOnce[Char], GenTraversableOnce[Char], FilterMonadic[Char, WrappedString], HasNewBuilder[Char, WrappedString], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. WrappedString
2. StringLike
3. Ordered
4. Comparable
5. IndexedSeqOptimized
6. IndexedSeq
7. IndexedSeq
8. IndexedSeqLike
9. Seq
10. Iterable
11. Traversable
12. Immutable
13. AbstractSeq
14. Seq
15. SeqLike
16. GenSeq
17. GenSeqLike
18. PartialFunction
19. Function1
20. AbstractIterable
21. Iterable
22. IterableLike
23. Equals
24. GenIterable
25. GenIterableLike
26. AbstractTraversable
27. Traversable
28. GenTraversable
29. GenericTraversableTemplate
30. TraversableLike
31. GenTraversableLike
32. Parallelizable
33. TraversableOnce
34. GenTraversableOnce
35. FilterMonadic
36. HasNewBuilder
37. AnyRef
38. Any

Implicitly

1. by seqToCharSequence
2. by unwrapString
3. by traversable2ops
4. by MonadOps
5. by any2stringadd
6. by any2stringfmt
7. by any2ArrowAssoc
8. by any2Ensuring
9. by alternateImplicit

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new WrappedString(self: String)

   self

     a string contained within this wrapped string

### Type Members

1. #### class Elements extends AbstractIterator[A] with BufferedIterator[A] with Serializable

   The class of the iterator returned by the `iterator` method.

2. #### type Self = WrappedString

   The type implementing this traversable

   The type implementing this traversable

   Attributes
     protected
   Definition Classes
     TraversableLike

3. #### class WithFilter extends FilterMonadic[A, Repr]

   A class supporting filtered operations.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def *(n: Int): String

   Return the current string concatenated `n` times.

   Return the current string concatenated `n` times.

   Definition Classes
     StringLike

5. #### def ++[B](that: GenTraversableOnce[B]): WrappedString[B]

   [use case] Returns a new wrapped string containing the elements from the left hand operand followed by the elements from the right hand operand.

   [use case]

   Returns a new wrapped string containing the elements from the left hand operand followed by the elements from the right hand operand. The element type of the wrapped string is the most specific superclass encompassing the element types of the two operands.

   Example:

       scala> val a = LinkedList(1)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val b = LinkedList(2)
       b: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val c = a ++ b
       c: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

       scala> val d = LinkedList('a')
       d: scala.collection.mutable.LinkedList[Char] = LinkedList(a)

       scala> val e = c ++ d
       e: scala.collection.mutable.LinkedList[AnyVal] = LinkedList(1, 2, a)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new wrapped string which contains all elements of this wrapped string followed by all elements of `that`.

   Definition Classes
     TraversableLike → GenTraversableLike
   Full Signature

   #### def ++[B >: Char, That](that: GenTraversableOnce[B])(implicit bf: CanBuildFrom[WrappedString, B, That]): That

6. #### def ++:[B >: Char, That](that: collection.Traversable[B])(implicit bf: CanBuildFrom[WrappedString, B, That]): That

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   This overload exists because: for the implementation of `++:` we should reuse that of `++` because many collections override it with more efficient versions.

   Since `TraversableOnce` has no `++` method, we have to implement that directly, but `Traversable` and down can use the overload.

   B

     the element type of the returned collection.

   That

     the class of the returned collection. Where possible, `That` is the same class as the current collection class `Repr`, but this depends on the element type `B` being admissible for that class, which means that an implicit instance of type `CanBuildFrom[Repr, B, That]` is found.

   that

     the traversable to append.

   bf

     an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

   returns

     a new collection of type `That` which contains all elements of this wrapped string followed by all elements of `that`.

   Definition Classes
     TraversableLike

7. #### def ++:[B](that: TraversableOnce[B]): WrappedString[B]

   [use case] As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   [use case]

   As with `++`, returns a new collection containing the elements from the left operand followed by the elements from the right operand.

   It differs from `++` in that the right operand determines the type of the resulting collection rather than the left one. Mnemonic: the COLon is on the side of the new COLlection type.

   Example:

       scala> val x = List(1)
       x: List[Int] = List(1)

       scala> val y = LinkedList(2)
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2)

       scala> val z = x ++: y
       z: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

   B

     the element type of the returned collection.

   that

     the traversable to append.

   returns

     a new wrapped string which contains all elements of this wrapped string followed by all elements of `that`.

   Definition Classes
     TraversableLike
   Full Signature

   #### def ++:[B >: Char, That](that: TraversableOnce[B])(implicit bf: CanBuildFrom[WrappedString, B, That]): That

8. #### def +:(elem: A): WrappedString[A]

   [use case] A copy of the wrapped string with an element prepended.

   [use case]

   A copy of the wrapped string with an element prepended.

   Note that :-ending operators are right associative (see example). A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

   Also, the original wrapped string is not modified, so you will want to capture the result.

   Example:

       scala> val x = LinkedList(1)
       x: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

       scala> val y = 2 +: x
       y: scala.collection.mutable.LinkedList[Int] = LinkedList(2, 1)

       scala> println(x)
       LinkedList(1)

   elem

     the prepended element

   returns

     a new wrapped string consisting of `elem` followed by all elements of this wrapped string.

   Definition Classes
     SeqLike → GenSeqLike
   Full Signature

   #### def +:[B >: Char, That](elem: B)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

9. #### def ->[B](y: B): (WrappedString, B)

   Implicit information
     This member is added by an implicit conversion from WrappedString to ArrowAssoc[WrappedString] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

10. #### def /:[B](z: B)(op: (B, Char) ⇒ B): B

    Applies a binary operator to a start value and all elements of this wrapped string, going left to right.

    Applies a binary operator to a start value and all elements of this wrapped string, going left to right.

    Note: `/:` is alternate syntax for `foldLeft`; `z /: xs` is the same as `xs foldLeft z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (5 /: a)(_+_)
        b: Int = 15

        scala> val c = (5 /: a)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this wrapped string, going left to right with the start value `z` on the left:

          op(...op(op(z, x_1), x_2), ..., x_n)

      where `x1, ..., xn` are the elements of this wrapped string.

    Definition Classes
      TraversableOnce → GenTraversableOnce

11. #### def :+(elem: A): WrappedString[A]

    [use case] A copy of this wrapped string with an element appended.

    [use case]

    A copy of this wrapped string with an element appended.

    A mnemonic for `+:` vs. `:+` is: the COLon goes on the COLlection side.

    Example:

        scala> import scala.collection.mutable.LinkedList
        import scala.collection.mutable.LinkedList

        scala> val a = LinkedList(1)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1)

        scala> val b = a :+ 2
        b: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2)

        scala> println(a)
        LinkedList(1)

    elem

      the appended element

    returns

      a new wrapped string consisting of all elements of this wrapped string followed by `elem`.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def :+[B >: Char, That](elem: B)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

12. #### def :\[B](z: B)(op: (Char, B) ⇒ B): B

    Applies a binary operator to all elements of this wrapped string and a start value, going right to left.

    Applies a binary operator to all elements of this wrapped string and a start value, going right to left.

    Note: `:\` is alternate syntax for `foldRight`; `xs :\ z` is the same as `xs foldRight z`.

    Examples:

    Note that the folding function used to compute b is equivalent to that used to compute c.

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = (a :\ 5)(_+_)
        b: Int = 15

        scala> val c = (a :\ 5)((x,y) => x + y)
        c: Int = 15

    B

      the result type of the binary operator.

    z

      the start value

    op

      the binary operator

    returns

      the result of inserting `op` between consecutive elements of this wrapped string, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this wrapped string.

    Definition Classes
      TraversableOnce → GenTraversableOnce

13. #### def <(that: String): Boolean

    Returns true if `this` is less than `that`

    Returns true if `this` is less than `that`

    Definition Classes
      Ordered

14. #### def <=(that: String): Boolean

    Returns true if `this` is less than or equal to `that`.

    Returns true if `this` is less than or equal to `that`.

    Definition Classes
      Ordered

15. #### final def ==(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def ==(arg0: Any): Boolean

    Test two objects for equality.

    Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Any

17. #### def >(that: String): Boolean

    Returns true if `this` is greater than `that`.

    Returns true if `this` is greater than `that`.

    Definition Classes
      Ordered

18. #### def >=(that: String): Boolean

    Returns true if `this` is greater than or equal to `that`.

    Returns true if `this` is greater than or equal to `that`.

    Definition Classes
      Ordered

19. #### def addString(b: StringBuilder): StringBuilder

    Appends all elements of this wrapped string to a string builder.

    Appends all elements of this wrapped string to a string builder. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this wrapped string without any separator string.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> val h = a.addString(b)
        b: StringBuilder = 1234

    b

      the string builder to which elements are appended.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

20. #### def addString(b: StringBuilder, sep: String): StringBuilder

    Appends all elements of this wrapped string to a string builder using a separator string.

    Appends all elements of this wrapped string to a string builder using a separator string. The written text consists of the string representations (w.r.t. the method `toString`) of all elements of this wrapped string, separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, ", ")
        res0: StringBuilder = 1, 2, 3, 4

    b

      the string builder to which elements are appended.

    sep

      the separator string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

21. #### def addString(b: StringBuilder, start: String, sep: String, end: String): StringBuilder

    Appends all elements of this wrapped string to a string builder using start, end, and separator strings.

    Appends all elements of this wrapped string to a string builder using start, end, and separator strings. The written text begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this wrapped string are separated by the string `sep`.

    Example:

        scala> val a = LinkedList(1,2,3,4)
        a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

        scala> val b = new StringBuilder()
        b: StringBuilder =

        scala> a.addString(b, "LinkedList(", ", ", ")")
        res1: StringBuilder = LinkedList(1, 2, 3, 4)

    b

      the string builder to which elements are appended.

    start

      the starting string.

    sep

      the separator string.

    end

      the ending string.

    returns

      the string builder `b` to which elements were appended.

    Definition Classes
      TraversableOnce

22. #### def aggregate[B](z: B)(seqop: (B, Char) ⇒ B, combop: (B, B) ⇒ B): B

    Aggregates the results of applying an operator to subsequent elements.

    Aggregates the results of applying an operator to subsequent elements.

    This is a more general form of `fold` and `reduce`. It has similar semantics, but does not require the result to be a supertype of the element type. It traverses the elements in different partitions sequentially, using `seqop` to update the result, and then applies `combop` to results from different partitions. The implementation of this operation may operate on an arbitrary number of collection partitions, so `combop` may be invoked an arbitrary number of times.

    For example, one might want to process some elements and then produce a `Set`. In this case, `seqop` would process an element and append it to the list, while `combop` would concatenate two lists from different partitions together. The initial value `z` would be an empty set.

        pc.aggregate(Set[Int]())(_ += process(_), _ ++ _)

    Another example is calculating geometric mean from a collection of doubles (one would typically require big doubles for this).

    B

      the type of accumulated results

    z

      the initial value for the accumulated result of the partition - this will typically be the neutral element for the `seqop` operator (e.g. `Nil` for list concatenation or `0` for summation)

    seqop

      an operator used to accumulate results within a partition

    combop

      an associative operator used to combine results from different partitions

    Definition Classes
      TraversableOnce → GenTraversableOnce

23. #### def andThen[C](k: (Char) ⇒ C): PartialFunction[Int, C]

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    Composes this partial function with a transformation function that gets applied to results of this partial function.

    C

      the result type of the transformation function.

    k

      the transformation function

    returns

      a partial function with the same domain as this partial function, which maps arguments `x` to `k(this(x))`.

    Definition Classes
      PartialFunction → Function1

24. #### def apply(n: Int): Char

    Return element at index `n`

    Return element at index `n`

    returns

      the element of this wrapped string at index `idx`, where `0` indicates the first element.

    Definition Classes
      StringLike → SeqLike → GenSeqLike
    Exceptions thrown
      IndexOutOfBoundsException

      if the index is not valid

25. #### def applyOrElse[A1 <: Int, B1 >: Char](x: A1, default: (A1) ⇒ B1): B1

    Applies this partial function to the given argument when it is contained in the function domain.

    Applies this partial function to the given argument when it is contained in the function domain. Applies fallback function where this partial function is not defined.

    Note that expression `pf.applyOrElse(x, default)` is equivalent to

        if(pf isDefinedAt x) pf(x) else default(x)

    except that `applyOrElse` method can be implemented more efficiently. For all partial function literals compiler generates `applyOrElse` implementation which avoids double evaluation of pattern matchers and guards. This makes `applyOrElse` the basis for the efficient implementation for many operations and scenarios, such as:

    - combining partial functions into `orElse`/`andThen` chains does not lead to excessive `apply`/`isDefinedAt` evaluation
    - `lift` and `unlift` do not evaluate source functions twice on each invocation
    - `runWith` allows efficient imperative-style combining of partial functions with conditionally applied actions

    For non-literal partial function classes with nontrivial `isDefinedAt` method it is recommended to override `applyOrElse` with custom implementation that avoids double `isDefinedAt` evaluation. This may result in better performance and more predictable behavior w.r.t. side effects.

    x

      the function argument

    default

      the fallback function

    returns

      the result of this function or fallback function application.

    Definition Classes
      PartialFunction
    Since

      2.10

26. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown
      ClassCastException

      if the receiver object is not an instance of the erasure of type `T0`.

27. #### def asParIterable: ParIterable[Char]

    Implicit information
      This member is added by an implicit conversion from WrappedString to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

28. #### def asParSeq: ParSeq[Char]

    Implicit information
      This member is added by an implicit conversion from WrappedString to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

29. #### def canEqual(that: Any): Boolean

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    Method called from equality methods, so that user-defined subclasses can refuse to be equal to other collections of the same kind.

    that

      The object with which this wrapped string should be compared

    returns

      `true`, if this wrapped string can possibly equal `that`, `false` otherwise. The test takes into consideration only the run-time types of objects but ignores their elements.

    Definition Classes
      IterableLike → Equals

30. #### def capitalize: String

    Returns this string with first character converted to upper case

    Returns this string with first character converted to upper case

    Definition Classes
      StringLike

31. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

32. #### def codePointAt(arg0: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

33. #### def codePointBefore(arg0: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

34. #### def codePointCount(arg0: Int, arg1: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

35. #### def collect[B](pf: PartialFunction[A, B]): WrappedString[B]

    [use case] Builds a new collection by applying a partial function to all elements of this wrapped string on which the function is defined.

    [use case]

    Builds a new collection by applying a partial function to all elements of this wrapped string on which the function is defined.

    B

      the element type of the returned collection.

    pf

      the partial function which filters and maps the wrapped string.

    returns

      a new wrapped string resulting from applying the given partial function `pf` to each element on which it is defined and collecting the results. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike
    Full Signature

    #### def collect[B, That](pf: PartialFunction[Char, B])(implicit bf: CanBuildFrom[WrappedString, B, That]): That

36. #### def collectFirst[B](pf: PartialFunction[Char, B]): Option[B]

    Finds the first element of the wrapped string for which the given partial function is defined, and applies the partial function to it.

    Finds the first element of the wrapped string for which the given partial function is defined, and applies the partial function to it.

    pf

      the partial function

    returns

      an option value containing pf applied to the first value for which it is defined, or `None` if none exists.

    Definition Classes
      TraversableOnce
    Example:

    1. `Seq("a", 1, 5L).collectFirst({ case x: Int => x*10 }) = Some(10)`

37. #### def combinations(n: Int): Iterator[WrappedString]

    Iterates over combinations.

    Iterates over combinations.

    returns

      An Iterator which traverses the possible n-element combinations of this wrapped string.

    Definition Classes
      SeqLike
    Example:

    1. `"abbbc".combinations(2) = Iterator(ab, ac, bb, bc)`

38. #### def companion: GenericCompanion[IndexedSeq]

    The factory companion object that builds instances of class `WrappedString`.

    The factory companion object that builds instances of class `WrappedString`. (or its `Iterable` superclass where class `WrappedString` is not a `Seq`.)

    Definition Classes
      IndexedSeq → IndexedSeq → Seq → Seq → GenSeq → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → GenericTraversableTemplate

39. #### def compare(other: String): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Implement this method to determine how instances of A will be sorted.

    Returns `x` where:

    - `x < 0` when `this < that`
    - `x == 0` when `this == that`
    - `x > 0` when `this > that`
    Definition Classes
      StringLike → Ordered

40. #### def compareTo(that: String): Int

    Result of comparing `this` with operand `that`.

    Result of comparing `this` with operand `that`.

    Definition Classes
      Ordered → Comparable

41. #### def compareToIgnoreCase(arg0: String): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

42. #### def compose[A](g: (A) ⇒ Int): (A) ⇒ Char

    Composes two instances of Function1 in a new Function1, with this function applied last.

    Composes two instances of Function1 in a new Function1, with this function applied last.

    A

      the type to which function `g` can be applied

    g

      a function A => T1

    returns

      a new function `f` such that `f(x) == apply(g(x))`

    Definition Classes
      Function1
    Annotations
      @unspecialized ()

43. #### def concat(arg0: String): String

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

44. #### def contains(elem: Any): Boolean

    Tests whether this wrapped string contains a given value as an element.

    Tests whether this wrapped string contains a given value as an element.

    elem

      the element to test.

    returns

      `true` if this wrapped string has an element that is equal (as determined by `==`) to `elem`, `false` otherwise.

    Definition Classes
      SeqLike

45. #### def containsSlice[B](that: GenSeq[B]): Boolean

    Tests whether this wrapped string contains a given sequence as a slice.

    Tests whether this wrapped string contains a given sequence as a slice.

    that

      the sequence to test

    returns

      `true` if this wrapped string contains a slice with the same elements as `that`, otherwise `false`.

    Definition Classes
      SeqLike

46. #### def contentEquals(arg0: CharSequence): Boolean

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

47. #### def contentEquals(arg0: StringBuffer): Boolean

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

48. #### def copyToArray(xs: Array[A], start: Int, len: Int): Unit

    [use case] Copies elements of this wrapped string to an array.

    [use case]

    Copies elements of this wrapped string to an array. Fills the given array `xs` with at most `len` elements of this wrapped string, starting at position `start`. Copying will stop once either the end of the current wrapped string is reached, or the end of the array is reached, or `len` elements have been copied.

    xs

      the array to fill.

    start

      the starting index.

    len

      the maximal number of elements to copy.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Char](xs: Array[B], start: Int, len: Int): Unit

49. #### def copyToArray(xs: Array[A]): Unit

    [use case] Copies values of this wrapped string to an array.

    [use case]

    Copies values of this wrapped string to an array. Fills the given array `xs` with values of this wrapped string. Copying will stop once either the end of the current wrapped string is reached, or the end of the array is reached.

    xs

      the array to fill.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Char](xs: Array[B]): Unit

50. #### def copyToArray(xs: Array[A], start: Int): Unit

    [use case] Copies values of this wrapped string to an array.

    [use case]

    Copies values of this wrapped string to an array. Fills the given array `xs` with values of this wrapped string, beginning at index `start`. Copying will stop once either the end of the current wrapped string is reached, or the end of the array is reached.

    xs

      the array to fill.

    start

      the starting index.

    Definition Classes
      TraversableOnce → GenTraversableOnce
    Full Signature

    #### def copyToArray[B >: Char](xs: Array[B], start: Int): Unit

51. #### def copyToBuffer[B >: Char](dest: Buffer[B]): Unit

    Copies all elements of this wrapped string to a buffer.

    Copies all elements of this wrapped string to a buffer.

    dest

      The buffer to which elements are copied.

    Definition Classes
      TraversableOnce

52. #### def corresponds[B](that: GenSeq[B])(p: (Char, B) ⇒ Boolean): Boolean

    Tests whether every element of this wrapped string relates to the corresponding element of another sequence by satisfying a test predicate.

    Tests whether every element of this wrapped string relates to the corresponding element of another sequence by satisfying a test predicate.

    B

      the type of the elements of `that`

    that

      the other sequence

    p

      the test predicate, which relates elements from both sequences

    returns

      `true` if both sequences have the same length and `p(x, y)` is `true` for all corresponding elements `x` of this wrapped string and `y` of `that`, otherwise `false`.

    Definition Classes
      SeqLike → GenSeqLike

53. #### def count(p: (Char) ⇒ Boolean): Int

    Counts the number of elements in the wrapped string which satisfy a predicate.

    Counts the number of elements in the wrapped string which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      the number of elements satisfying the predicate `p`.

    Definition Classes
      TraversableOnce → GenTraversableOnce

54. #### def diff(that: collection.Seq[Char]): WrappedString[Char]

    [use case] Computes the multiset difference between this wrapped string and another sequence.

    [use case]

    Computes the multiset difference between this wrapped string and another sequence.

    that

      the sequence of elements to remove

    returns

      a new wrapped string which contains all elements of this wrapped string except some of occurrences of elements that also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will not form part of the result, but any following occurrences will.

    Definition Classes
      SeqLike → GenSeqLike
    Full Signature

    #### def diff[B >: Char](that: GenSeq[B]): WrappedString

55. #### def distinct: WrappedString

    Builds a new wrapped string from this wrapped string without any duplicate elements.

    Builds a new wrapped string from this wrapped string without any duplicate elements.

    returns

      A new wrapped string which contains the first occurrence of every element of this wrapped string.

    Definition Classes
      SeqLike → GenSeqLike

56. #### def drop(n: Int): WrappedString

    Selects all elements except first n ones.

    Selects all elements except first n ones.

    n

      the number of elements to drop from this wrapped string.

    returns

      a wrapped string consisting of all elements of this wrapped string except the first `n` ones, or else the empty wrapped string, if this wrapped string has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

57. #### def dropRight(n: Int): WrappedString

    Selects all elements except last n ones.

    Selects all elements except last n ones.

    n

      The number of elements to take

    returns

      a wrapped string consisting of all elements of this wrapped string except the last `n` ones, or else the empty wrapped string, if this wrapped string has less than `n` elements.

    Definition Classes
      IndexedSeqOptimized → IterableLike

58. #### def dropWhile(p: (Char) ⇒ Boolean): WrappedString

    Drops longest prefix of elements that satisfy a predicate.

    Drops longest prefix of elements that satisfy a predicate.

    returns

      the longest suffix of this wrapped string whose first element does not satisfy the predicate `p`.

    Definition Classes
      IndexedSeqOptimized → TraversableLike → GenTraversableLike

59. #### def endsWith[B](that: GenSeq[B]): Boolean

    Tests whether this wrapped string ends with the given sequence.

    Tests whether this wrapped string ends with the given sequence.

    that

      the sequence to test

    returns

      `true` if this wrapped string has `that` as a suffix, `false` otherwise.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

60. #### def ensuring(cond: (WrappedString) ⇒ Boolean, msg: ⇒ Any): WrappedString

    Implicit information
      This member is added by an implicit conversion from WrappedString to Ensuring[WrappedString] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

61. #### def ensuring(cond: (WrappedString) ⇒ Boolean): WrappedString

    Implicit information
      This member is added by an implicit conversion from WrappedString to Ensuring[WrappedString] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

62. #### def ensuring(cond: Boolean, msg: ⇒ Any): WrappedString

    Implicit information
      This member is added by an implicit conversion from WrappedString to Ensuring[WrappedString] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

63. #### def ensuring(cond: Boolean): WrappedString

    Implicit information
      This member is added by an implicit conversion from WrappedString to Ensuring[WrappedString] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

64. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

65. #### def equals(that: Any): Boolean

    The equals method for arbitrary sequences.

    The equals method for arbitrary sequences. Compares this sequence to some other object.

    that

      The object to compare the sequence to

    returns

      `true` if `that` is a sequence that has the same elements as this sequence in the same order, `false` otherwise

    Definition Classes
      GenSeqLike → Equals → Any

66. #### def equalsIgnoreCase(arg0: String): Boolean

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

67. #### def exists(p: (Char) ⇒ Boolean): Boolean

    Tests whether a predicate holds for some of the elements of this wrapped string.

    Tests whether a predicate holds for some of the elements of this wrapped string.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for some of the elements of this wrapped string, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

68. #### def filter(p: (Char) ⇒ Boolean): WrappedString

    Selects all elements of this wrapped string which satisfy a predicate.

    Selects all elements of this wrapped string which satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new wrapped string consisting of all elements of this wrapped string that satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

69. #### def filterNot(p: (Char) ⇒ Boolean): WrappedString

    Selects all elements of this wrapped string which do not satisfy a predicate.

    Selects all elements of this wrapped string which do not satisfy a predicate.

    p

      the predicate used to test elements.

    returns

      a new wrapped string consisting of all elements of this wrapped string that do not satisfy the given predicate `p`. The order of the elements is preserved.

    Definition Classes
      TraversableLike → GenTraversableLike

70. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ()
    Note

      not specified by SLS as a member of AnyRef

71. #### def find(p: (Char) ⇒ Boolean): Option[Char]

    Finds the first element of the wrapped string satisfying a predicate, if any.

    Finds the first element of the wrapped string satisfying a predicate, if any.

    p

      the predicate used to test elements.

    returns

      an option value containing the first element in the wrapped string that satisfies `p`, or `None` if none exists.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

72. #### def flatMap[B](f: (A) ⇒ GenTraversableOnce[B]): WrappedString[B]

    [use case] Builds a new collection by applying a function to all elements of this wrapped string and using the elements of the resulting collections.

    [use case]

    Builds a new collection by applying a function to all elements of this wrapped string and using the elements of the resulting collections.

    For example:

        def getWords(lines: Seq[String]): Seq[String] = lines flatMap (line => line split "\\W+")

    The type of the resulting collection is guided by the static type of wrapped string. This might cause unexpected results sometimes. For example:

        // lettersOf will return a Seq[Char] of likely repeated letters, instead of a Set
        def lettersOf(words: Seq[String]) = words flatMap (word => word.toSet)

        // lettersOf will return a Set[Char], not a Seq
        def lettersOf(words: Seq[String]) = words.toSet flatMap (word => word.toSeq)

        // xs will be a an Iterable[Int]
        val xs = Map("a" -> List(11,111), "b" -> List(22,222)).flatMap(_._2)

        // ys will be a Map[Int, Int]
        val ys = Map("a" -> List(1 -> 11,1 -> 111), "b" -> List(2 -> 22,2 -> 222)).flatMap(_._2)

    B

      the element type of the returned collection.

    f

      the function to apply to each element.

    returns

      a new wrapped string resulting from applying the given collection-valued function `f` to each element of this wrapped string and concatenating the results.

    Definition Classes
      TraversableLike → GenTraversableLike → FilterMonadic
    Full Signature

    #### def flatMap[B, That](f: (Char) ⇒ GenTraversableOnce[B])(implicit bf: CanBuildFrom[WrappedString, B, That]): That

73. #### def flatten[B]: WrappedString[B]

    [use case] Converts this wrapped string of traversable collections into a wrapped string formed by the elements of these traversable collections.

    [use case]

    Converts this wrapped string of traversable collections into a wrapped string formed by the elements of these traversable collections.

    The resulting collection's type will be guided by the static type of wrapped string. For example:

        val xs = List(Set(1, 2, 3), Set(1, 2, 3))
        // xs == List(1, 2, 3, 1, 2, 3)

        val ys = Set(List(1, 2, 3), List(3, 2, 1))
        // ys == Set(1, 2, 3)

    B

      the type of the elements of each traversable collection.

    returns

      a new wrapped string resulting from concatenating all element wrapped strings.

    Definition Classes
      GenericTraversableTemplate
    Full Signature

    #### def flatten[B](implicit asTraversable: (Char) ⇒ GenTraversableOnce[B]): IndexedSeq[B]

74. #### def fold[A1 >: Char](z: A1)(op: (A1, A1) ⇒ A1): A1

    Folds the elements of this wrapped string using the specified associative binary operator.

    Folds the elements of this wrapped string using the specified associative binary operator.

    The order in which operations are performed on elements is unspecified and may be nondeterministic.

    A1

      a type parameter for the binary operator, a supertype of `A`.

    z

      a neutral element for the fold operation; may be added to the result an arbitrary number of times, and must not change the result (e.g., `Nil` for list concatenation, 0 for addition, or 1 for multiplication.)

    op

      a binary operator that must be associative

    returns

      the result of applying fold operator `op` between all the elements and `z`

    Definition Classes
      TraversableOnce → GenTraversableOnce

75. #### def foldLeft[B](z: B)(op: (B, Char) ⇒ B): B

    Applies a binary operator to a start value and all elements of this wrapped string, going left to right.

    Applies a binary operator to a start value and all elements of this wrapped string, going left to right.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this wrapped string, going left to right with the start value `z` on the left:

          op(...op(z, x_1), x_2, ..., x_n)

      where `x1, ..., xn` are the elements of this wrapped string.

    Definition Classes
      IndexedSeqOptimized → TraversableOnce → GenTraversableOnce

76. #### def foldRight[B](z: B)(op: (Char, B) ⇒ B): B

    Applies a binary operator to all elements of this wrapped string and a start value, going right to left.

    Applies a binary operator to all elements of this wrapped string and a start value, going right to left.

    B

      the result type of the binary operator.

    z

      the start value.

    op

      the binary operator.

    returns

      the result of inserting `op` between consecutive elements of this wrapped string, going right to left with the start value `z` on the right:

          op(x_1, op(x_2, ... op(x_n, z)...))

      where `x1, ..., xn` are the elements of this wrapped string.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce

77. #### def forall(p: (Char) ⇒ Boolean): Boolean

    Tests whether a predicate holds for all elements of this wrapped string.

    Tests whether a predicate holds for all elements of this wrapped string.

    p

      the predicate used to test elements.

    returns

      `true` if the given predicate `p` holds for all elements of this wrapped string, otherwise `false`.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

78. #### def foreach(f: (A) ⇒ Unit): Unit

    [use case] Applies a function `f` to all elements of this wrapped string.

    [use case]

    Applies a function `f` to all elements of this wrapped string.

    Note: this method underlies the implementation of most other bulk operations. Subclasses should re-implement this method if a more efficient implementation exists.

    f

      the function that is applied for its side-effect to every element. The result of function `f` is discarded.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike → TraversableOnce → GenTraversableOnce → FilterMonadic
    Full Signature

    #### def foreach[U](f: (Char) ⇒ U): Unit

79. #### def format(args: Any*): String

    Uses the underlying string as a pattern (in a fashion similar to printf in C), and uses the supplied arguments to fill in the holes.

    Uses the underlying string as a pattern (in a fashion similar to printf in C), and uses the supplied arguments to fill in the holes.

    The interpretation of the formatting patterns is described in `java.util.Formatter`, with the addition that classes deriving from `ScalaNumber` (such as scala.BigInt and scala.BigDecimal) are unwrapped to pass a type which `Formatter` understands.

    args

      the arguments used to instantiating the pattern.

    Definition Classes
      StringLike
    Exceptions thrown
      `java.lang.IllegalArgumentException`

80. #### def formatLocal(l: Locale, args: Any*): String

    Like `format(args*)` but takes an initial `Locale` parameter which influences formatting as in `java.lang.String`'s format.

    Like `format(args*)` but takes an initial `Locale` parameter which influences formatting as in `java.lang.String`'s format.

    The interpretation of the formatting patterns is described in `java.util.Formatter`, with the addition that classes deriving from `ScalaNumber` (such as `scala.BigInt` and `scala.BigDecimal`) are unwrapped to pass a type which `Formatter` understands.

    l

      an instance of `java.util.Locale`

    args

      the arguments used to instantiating the pattern.

    Definition Classes
      StringLike
    Exceptions thrown
      `java.lang.IllegalArgumentException`

81. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from WrappedString to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

82. #### def genericBuilder[B]: Builder[B, IndexedSeq[B]]

    The generic builder that builds instances of `WrappedString` at arbitrary element types.

    The generic builder that builds instances of `WrappedString` at arbitrary element types.

    Definition Classes
      GenericTraversableTemplate

83. #### def getBytes(): Array[Byte]

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

84. #### def getBytes(arg0: Charset): Array[Byte]

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

85. #### def getBytes(arg0: String): Array[Byte]

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String
    Annotations
      @throws ()

86. #### def getChars(arg0: Int, arg1: Int, arg2: Array[Char], arg3: Int): Unit

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Definition Classes
      String

87. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

88. #### def groupBy[K](f: (Char) ⇒ K): Map[K, WrappedString]

    Partitions this wrapped string into a map of wrapped strings according to some discriminator function.

    Partitions this wrapped string into a map of wrapped strings according to some discriminator function.

    Note: this method is not re-implemented by views. This means when applied to a view it will always force the view and return a new wrapped string.

    K

      the type of keys returned by the discriminator function.

    f

      the discriminator function.

    returns

      A map from keys to wrapped strings such that the following invariant holds:

          (xs partition f)(k) = xs filter (x => f(x) == k)

      That is, every key `k` is bound to a wrapped string of those elements `x` for which `f(x)` equals `k`.

    Definition Classes
      TraversableLike → GenTraversableLike

89. #### def grouped(size: Int): Iterator[WrappedString]

    Partitions elements in fixed size wrapped strings.

    Partitions elements in fixed size wrapped strings.

    size

      the number of elements per group

    returns

      An iterator producing wrapped strings of size `size`, except the last will be truncated if the elements don't divide evenly.

    Definition Classes
      IterableLike
    See also

      scala.collection.Iterator, method `grouped`

90. #### def hasDefiniteSize: Boolean

    Tests whether this wrapped string is known to have a finite size.

    Tests whether this wrapped string is known to have a finite size. All strict collections are known to have finite size. For a non-strict collection such as `Stream`, the predicate returns `true` if all elements have been computed. It returns `false` if the stream is not yet evaluated to the end.

    Note: many collection methods will not work on collections of infinite sizes.

    returns

      `true` if this collection is known to have finite size, `false` otherwise.

    Definition Classes
      TraversableLike → TraversableOnce → GenTraversableOnce

91. #### def hashCode(): Int

    Hashcodes for `WrappedString` produce a value from the hashcodes of all the elements of the wrapped string.

    Hashcodes for `WrappedString` produce a value from the hashcodes of all the elements of the wrapped string.

    returns

      the hash code value for this object.

    Definition Classes
      IndexedSeqLike → GenSeqLike → Any

92. #### def head: Char

    Selects the first element of this wrapped string.

    Selects the first element of this wrapped string.

    returns

      the first element of this wrapped string.

    Definition Classes
      IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike
    Exceptions thrown
      `NoSuchElementException`

      if the wrapped string is empty.

93. #### def headOption: Option[Char]

    Optionally selects the first element.

    Optionally selects the first element.

    returns

      the first element of this wrapped string if it is nonempty, `None` if it is empty.

    Definition Classes
      TraversableLike → GenTraversableLike

94. #### def ifParSeq[R](isbody: (ParSeq[Char]) ⇒ R): (TraversableOps[Char])#Otherwise[R]

    Implicit information
      This member is added by an implicit conversion from WrappedString to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
    Definition Classes
      TraversableOps

95. #### def indexOf(elem: Char, from: Int): Int

    [use case] Finds index of first occurrence of some value in this wrapped string after or at some start index.

    [use case]

    Finds index of first occurrence of some value in this wrapped string after or at some start index.

    elem

      the element value to search for.

    from

      the start index

    returns

      the index `>= from` of the first element of this wrapped string that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Char](elem: B, from: Int): Int

96. #### def indexOf(elem: Char): Int

    [use case] Finds index of first occurrence of some value in this wrapped string.

    [use case]

    Finds index of first occurrence of some value in this wrapped string.

    elem

      the element value to search for.

    returns

      the index of the first element of this wrapped string that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

    Definition Classes
      GenSeqLike
    Full Signature

    #### def indexOf[B >: Char](elem: B): Int

97. #### def indexOfSlice[B >: Char](that: GenSeq[B], from: Int): Int

    Finds first index after or at a start index where this wrapped string contains a given sequence as a slice.

    Finds first index after or at a start index where this wrapped string contains a given sequence as a slice.

    that

      the sequence to test

    from

      the start index

    returns

      the first index `>= from` such that the elements of this wrapped string starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

98. #### def indexOfSlice[B >: Char](that: GenSeq[B]): Int

    Finds first index where this wrapped string contains a given sequence as a slice.

    Finds first index where this wrapped string contains a given sequence as a slice.

    that

      the sequence to test

    returns

      the first index such that the elements of this wrapped string starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

    Definition Classes
      SeqLike

99. #### def indexWhere(p: (Char) ⇒ Boolean, from: Int): Int

    Finds index of the first element satisfying some predicate after or at some start index.

    Finds index of the first element satisfying some predicate after or at some start index.

    p

      the predicate used to test elements.

    from

      the start index

    returns

      the index `>= from` of the first element of this wrapped string that satisfies the predicate `p`, or `-1`, if none exists.

    Definition Classes
      IndexedSeqOptimized → SeqLike → GenSeqLike

100. #### def indexWhere(p: (Char) ⇒ Boolean): Int

     Finds index of first element satisfying some predicate.

     Finds index of first element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the first element of this wrapped string that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

101. #### def indices: Range

     Produces the range of all indices of this sequence.

     Produces the range of all indices of this sequence.

     returns

       a `Range` value from `0` to one less than the length of this wrapped string.

     Definition Classes
       SeqLike

102. #### def init: WrappedString

     Selects all elements except the last.

     Selects all elements except the last.

     returns

       a wrapped string consisting of all elements of this wrapped string except the last one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the wrapped string is empty.

103. #### def inits: Iterator[WrappedString]

     Iterates over the inits of this wrapped string.

     Iterates over the inits of this wrapped string. The first value will be this wrapped string and the final one will be an empty wrapped string, with the intervening values the results of successive applications of `init`.

     returns

       an iterator over all the inits of this wrapped string

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).inits = Iterator(List(1,2,3), List(1,2), List(1), Nil)`

104. #### def intern(): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

105. #### def intersect(that: collection.Seq[Char]): WrappedString[Char]

     [use case] Computes the multiset intersection between this wrapped string and another sequence.

     [use case]

     Computes the multiset intersection between this wrapped string and another sequence.

     that

       the sequence of elements to intersect with.

     returns

       a new wrapped string which contains all elements of this wrapped string which also appear in `that`. If an element value `x` appears n times in `that`, then the first n occurrences of `x` will be retained in the result, but any following occurrences will be omitted.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def intersect[B >: Char](that: GenSeq[B]): WrappedString

106. #### def isDefinedAt(idx: Int): Boolean

     Tests whether this wrapped string contains given index.

     Tests whether this wrapped string contains given index.

     The implementations of methods `apply` and `isDefinedAt` turn a `Seq[A]` into a `PartialFunction[Int, A]`.

     idx

       the index to test

     returns

       `true` if this wrapped string contains an element at position `idx`, `false` otherwise.

     Definition Classes
       GenSeqLike

107. #### def isEmpty: Boolean

     Tests whether this wrapped string is empty.

     Tests whether this wrapped string is empty.

     returns

       `true` if the wrapped string contain no elements, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → SeqLike → IterableLike → TraversableLike → TraversableOnce → GenTraversableOnce

108. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

109. #### def isParIterable: Boolean

     Implicit information
       This member is added by an implicit conversion from WrappedString to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

110. #### def isParSeq: Boolean

     Implicit information
       This member is added by an implicit conversion from WrappedString to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

111. #### def isParallel: Boolean

     Implicit information
       This member is added by an implicit conversion from WrappedString to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

112. #### final def isTraversableAgain: Boolean

     Tests whether this wrapped string can be repeatedly traversed.

     Tests whether this wrapped string can be repeatedly traversed.

     returns

       `true`

     Definition Classes
       TraversableLike → GenTraversableLike → GenTraversableOnce

113. #### def iterator: Iterator[Char]

     Creates a new iterator over all elements contained in this iterable object.

     Creates a new iterator over all elements contained in this iterable object.

     returns

       the new iterator

     Definition Classes
       IndexedSeqLike → IterableLike → GenIterableLike

114. #### def last: Char

     Selects the last element.

     Selects the last element.

     returns

       The last element of this wrapped string.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown
       NoSuchElementException

       If the wrapped string is empty.

115. #### def lastIndexOf(elem: Char, end: Int): Int

     [use case] Finds index of last occurrence of some value in this wrapped string before or at a given end index.

     [use case]

     Finds index of last occurrence of some value in this wrapped string before or at a given end index.

     elem

       the element value to search for.

     end

       the end index.

     returns

       the index `<= end` of the last element of this wrapped string that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def lastIndexOf[B >: Char](elem: B, end: Int): Int

116. #### def lastIndexOf(elem: Char): Int

     [use case] Finds index of last occurrence of some value in this wrapped string.

     [use case]

     Finds index of last occurrence of some value in this wrapped string.

     elem

       the element value to search for.

     returns

       the index of the last element of this wrapped string that is equal (as determined by `==`) to `elem`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike
     Full Signature

     #### def lastIndexOf[B >: Char](elem: B): Int

117. #### def lastIndexOfSlice[B >: Char](that: GenSeq[B], end: Int): Int

     Finds last index before or at a given end index where this wrapped string contains a given sequence as a slice.

     Finds last index before or at a given end index where this wrapped string contains a given sequence as a slice.

     that

       the sequence to test

     end

       the end index

     returns

       the last index `<= end` such that the elements of this wrapped string starting at this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

118. #### def lastIndexOfSlice[B >: Char](that: GenSeq[B]): Int

     Finds last index where this wrapped string contains a given sequence as a slice.

     Finds last index where this wrapped string contains a given sequence as a slice.

     that

       the sequence to test

     returns

       the last index such that the elements of this wrapped string starting a this index match the elements of sequence `that`, or `-1` of no such subsequence exists.

     Definition Classes
       SeqLike

119. #### def lastIndexWhere(p: (Char) ⇒ Boolean, end: Int): Int

     Finds index of last element satisfying some predicate before or at given end index.

     Finds index of last element satisfying some predicate before or at given end index.

     p

       the predicate used to test elements.

     returns

       the index `<= end` of the last element of this wrapped string that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

120. #### def lastIndexWhere(p: (Char) ⇒ Boolean): Int

     Finds index of last element satisfying some predicate.

     Finds index of last element satisfying some predicate.

     p

       the predicate used to test elements.

     returns

       the index of the last element of this wrapped string that satisfies the predicate `p`, or `-1`, if none exists.

     Definition Classes
       GenSeqLike

121. #### def lastOption: Option[Char]

     Optionally selects the last element.

     Optionally selects the last element.

     returns

       the last element of this wrapped string$ if it is nonempty, `None` if it is empty.

     Definition Classes
       TraversableLike → GenTraversableLike

122. #### def length: Int

     The length of the wrapped string.

     The length of the wrapped string.

     Note: `xs.length` and `xs.size` yield the same result.

     returns

       the number of elements in this wrapped string.

     Definition Classes
       WrappedString → StringLike → SeqLike → GenSeqLike

123. #### def lengthCompare(len: Int): Int

     Compares the length of this wrapped string to a test value.

     Compares the length of this wrapped string to a test value.

     len

       the test value that gets compared with the length.

     returns

       A value `x` where

           x <  0       if this.length <  len
           x == 0       if this.length == len
           x >  0       if this.length >  len

       The method as implemented here does not call `length` directly; its running time is `O(length min len)` instead of `O(length)`. The method should be overwritten if computing `length` is cheap.

     Definition Classes
       IndexedSeqOptimized → SeqLike

124. #### def lift: (Int) ⇒ Option[Char]

     Turns this partial function into an plain function returning an `Option` result.

     Turns this partial function into an plain function returning an `Option` result.

     returns

       a function that takes an argument `x` to `Some(this(x))` if `this` is defined for `x`, and to `None` otherwise.

     Definition Classes
       PartialFunction
     See also

       Function.unlift

125. #### def lines: Iterator[String]

     Return all lines in this string in an iterator, excluding trailing line end characters, i.

     Return all lines in this string in an iterator, excluding trailing line end characters, i.e. apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

     Definition Classes
       StringLike

126. #### def linesIterator: Iterator[String]

     Return all lines in this string in an iterator, excluding trailing line end characters, i.

     Return all lines in this string in an iterator, excluding trailing line end characters, i.e. apply `.stripLineEnd` to all lines returned by `linesWithSeparators`.

     Definition Classes
       StringLike

127. #### def linesWithSeparators: Iterator[String]

     Return all lines in this string in an iterator, including trailing line end characters.

     Return all lines in this string in an iterator, including trailing line end characters.

     The number of strings returned is one greater than the number of line end characters in this string. For an empty string, a single empty line is returned. A line end character is one of

     - `LF` - line feed (`0x0A` hex)
     - `FF` - form feed (`0x0C` hex)
     Definition Classes
       StringLike

128. #### def map[B](f: (A) ⇒ B): WrappedString[B]

     [use case] Builds a new collection by applying a function to all elements of this wrapped string.

     [use case]

     Builds a new collection by applying a function to all elements of this wrapped string.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new wrapped string resulting from applying the given function `f` to each element of this wrapped string and collecting the results.

     Definition Classes
       TraversableLike → GenTraversableLike → FilterMonadic
     Full Signature

     #### def map[B, That](f: (Char) ⇒ B)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

129. #### def matches(arg0: String): Boolean

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

130. #### def max: A

     [use case] Finds the largest element.

     [use case]

     Finds the largest element.

     returns

       the largest element of this wrapped string.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def max[B >: Char](implicit cmp: Ordering[B]): Char

131. #### def maxBy[B](f: (Char) ⇒ B)(implicit cmp: Ordering[B]): Char

     Definition Classes
       TraversableOnce → GenTraversableOnce

132. #### def min: A

     [use case] Finds the smallest element.

     [use case]

     Finds the smallest element.

     returns

       the smallest element of this wrapped string

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def min[B >: Char](implicit cmp: Ordering[B]): Char

133. #### def minBy[B](f: (Char) ⇒ B)(implicit cmp: Ordering[B]): Char

     Definition Classes
       TraversableOnce → GenTraversableOnce

134. #### def mkString: String

     Displays all elements of this wrapped string in a string.

     Displays all elements of this wrapped string in a string.

     returns

       a string representation of this wrapped string. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this wrapped string follow each other without any separator string.

     Definition Classes
       StringLike → TraversableOnce → GenTraversableOnce

135. #### def mkString(sep: String): String

     Displays all elements of this wrapped string in a string using a separator string.

     Displays all elements of this wrapped string in a string using a separator string.

     sep

       the separator string.

     returns

       a string representation of this wrapped string. In the resulting string the string representations (w.r.t. the method `toString`) of all elements of this wrapped string are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("|") = "1|2|3"`

136. #### def mkString(start: String, sep: String, end: String): String

     Displays all elements of this wrapped string in a string using start, end, and separator strings.

     Displays all elements of this wrapped string in a string using start, end, and separator strings.

     start

       the starting string.

     sep

       the separator string.

     end

       the ending string.

     returns

       a string representation of this wrapped string. The resulting string begins with the string `start` and ends with the string `end`. Inside, the string representations (w.r.t. the method `toString`) of all elements of this wrapped string are separated by the string `sep`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Example:

     1. `List(1, 2, 3).mkString("(", "; ", ")") = "(1; 2; 3)"`

137. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

138. #### def newBuilder: Builder[Char, WrappedString]

     Creates a string builder buffer as builder for this class

     Creates a string builder buffer as builder for this class

     Attributes
       protected[this]
     Definition Classes
       WrappedString → StringLike → GenericTraversableTemplate → TraversableLike → HasNewBuilder

139. #### def nonEmpty: Boolean

     Tests whether the wrapped string is not empty.

     Tests whether the wrapped string is not empty.

     returns

       `true` if the wrapped string contains at least one element, `false` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

140. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

141. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

142. #### def offsetByCodePoints(arg0: Int, arg1: Int): Int

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

143. #### def orElse[A1 <: Int, B1 >: Char](that: PartialFunction[A1, B1]): PartialFunction[A1, B1]

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     Composes this partial function with a fallback partial function which gets applied where this partial function is not defined.

     A1

       the argument type of the fallback function

     B1

       the result type of the fallback function

     that

       the fallback function

     returns

       a partial function which has as domain the union of the domains of this partial function and `that`. The resulting partial function takes `x` to `this(x)` where `this` is defined, and to `that(x)` where it is not.

     Definition Classes
       PartialFunction

144. #### def padTo(len: Int, elem: A): WrappedString[A]

     [use case] A copy of this wrapped string with an element value appended until a given target length is reached.

     [use case]

     A copy of this wrapped string with an element value appended until a given target length is reached.

     len

       the target length

     elem

       the padding value

     returns

       a new wrapped string consisting of all elements of this wrapped string followed by the minimal number of occurrences of `elem` so that the resulting wrapped string has a length of at least `len`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def padTo[B >: Char, That](len: Int, elem: B)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

145. #### def par: ParSeq[Char]

     Returns a parallel implementation of this collection.

     Returns a parallel implementation of this collection.

     For most collection types, this method creates a new parallel collection by copying all the elements. For these collection, `par` takes linear time. Mutable collections in this category do not produce a mutable parallel collection that has the same underlying dataset, so changes in one collection will not be reflected in the other one.

     Specific collections (e.g. `ParArray` or `mutable.ParHashMap`) override this default behaviour by creating a parallel collection which shares the same underlying dataset. For these collections, `par` takes constant or sublinear time.

     All parallel collections return a reference to themselves.

     returns

       a parallel implementation of this collection

     Definition Classes
       Parallelizable

146. #### def parCombiner: Combiner[Char, ParSeq[Char]]

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     The default `par` implementation uses the combiner provided by this method to create a new parallel collection.

     returns

       a combiner for the parallel collection of type `ParRepr`

     Attributes
       protected[this]
     Definition Classes
       Seq → SeqLike → Iterable → TraversableLike → Parallelizable

147. #### def partition(p: (Char) ⇒ Boolean): (WrappedString, WrappedString)

     Partitions this wrapped string in two wrapped strings according to a predicate.

     Partitions this wrapped string in two wrapped strings according to a predicate.

     p

       the predicate on which to partition.

     returns

       a pair of wrapped strings: the first wrapped string consists of all elements that satisfy the predicate `p` and the second wrapped string consists of all elements that don't. The relative order of the elements in the resulting wrapped strings is the same as in the original wrapped string.

     Definition Classes
       TraversableLike → GenTraversableLike

148. #### def patch(from: Int, that: GenSeq[A], replaced: Int): WrappedString[A]

     [use case] Produces a new wrapped string where a slice of elements in this wrapped string is replaced by another sequence.

     [use case]

     Produces a new wrapped string where a slice of elements in this wrapped string is replaced by another sequence.

     from

       the index of the first replaced element

     replaced

       the number of elements to drop in the original wrapped string

     returns

       a new wrapped string consisting of all elements of this wrapped string except that `replaced` elements starting from `from` are replaced by `patch`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def patch[B >: Char, That](from: Int, patch: GenSeq[B], replaced: Int)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

149. #### def permutations: Iterator[WrappedString]

     Iterates over distinct permutations.

     Iterates over distinct permutations.

     returns

       An Iterator which traverses the distinct permutations of this wrapped string.

     Definition Classes
       SeqLike
     Example:

     1. `"abb".permutations = Iterator(abb, bab, bba)`

150. #### def prefixLength(p: (Char) ⇒ Boolean): Int

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     Returns the length of the longest prefix whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     returns

       the length of the longest prefix of this wrapped string such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       GenSeqLike

151. #### def product: A

     [use case] Multiplies up the elements of this collection.

     [use case]

     Multiplies up the elements of this collection.

     returns

       the product of all elements in this wrapped string of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the wrapped string and as result type of `product`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def product[B >: Char](implicit num: Numeric[B]): B

152. #### def r(groupNames: String*): Regex

     You can follow a string with `.r(g1, ... , gn)`, turning it into a `Regex`, with group names g1 through gn.

     You can follow a string with `.r(g1, ... , gn)`, turning it into a `Regex`, with group names g1 through gn.

     `"""(\d\d)-(\d\d)-(\d\d\d\d)""".r("month", "day", "year")` matches dates and provides its subcomponents through groups named "month", "day" and "year".

     groupNames

       The names of the groups in the pattern, in the order they appear.

     Definition Classes
       StringLike

153. #### def r: Regex

     You can follow a string with `.r`, turning it into a `Regex`.

     You can follow a string with `.r`, turning it into a `Regex`. E.g.

     `"""A\w*""".r` is the regular expression for identifiers starting with `A`.

     Definition Classes
       StringLike

154. #### def reduce[A1 >: Char](op: (A1, A1) ⇒ A1): A1

     Reduces the elements of this wrapped string using the specified associative binary operator.

     Reduces the elements of this wrapped string using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       The result of applying reduce operator `op` between all the elements if the wrapped string is nonempty.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Exceptions thrown
       UnsupportedOperationException

       if this wrapped string is empty.

155. #### def reduceLeft[B >: Char](op: (B, Char) ⇒ B): B

     Applies a binary operator to all elements of this wrapped string, going left to right.

     Applies a binary operator to all elements of this wrapped string, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this wrapped string, going left to right:

           op( op( ... op(x_1, x_2) ..., x_{n-1}), x_n)

       where `x1, ..., xn` are the elements of this wrapped string.

     Definition Classes
       IndexedSeqOptimized → TraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this wrapped string is empty.

156. #### def reduceLeftOption[B >: Char](op: (B, Char) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this wrapped string, going left to right.

     Optionally applies a binary operator to all elements of this wrapped string, going left to right.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceLeft(op)` is this wrapped string is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

157. #### def reduceOption[A1 >: Char](op: (A1, A1) ⇒ A1): Option[A1]

     Reduces the elements of this wrapped string, if any, using the specified associative binary operator.

     Reduces the elements of this wrapped string, if any, using the specified associative binary operator.

     The order in which operations are performed on elements is unspecified and may be nondeterministic.

     A1

       A type parameter for the binary operator, a supertype of `A`.

     op

       A binary operator that must be associative.

     returns

       An option value containing result of applying reduce operator `op` between all the elements if the collection is nonempty, and `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

158. #### def reduceRight[B >: Char](op: (Char, B) ⇒ B): B

     Applies a binary operator to all elements of this wrapped string, going right to left.

     Applies a binary operator to all elements of this wrapped string, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       the result of inserting `op` between consecutive elements of this wrapped string, going right to left:

           op(x_1, op(x_2, ..., op(x_{n-1}, x_n)...))

       where `x1, ..., xn` are the elements of this wrapped string.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableOnce → GenTraversableOnce
     Exceptions thrown
       `UnsupportedOperationException`

       if this wrapped string is empty.

159. #### def reduceRightOption[B >: Char](op: (Char, B) ⇒ B): Option[B]

     Optionally applies a binary operator to all elements of this wrapped string, going right to left.

     Optionally applies a binary operator to all elements of this wrapped string, going right to left.

     B

       the result type of the binary operator.

     op

       the binary operator.

     returns

       an option value containing the result of `reduceRight(op)` is this wrapped string is nonempty, `None` otherwise.

     Definition Classes
       TraversableOnce → GenTraversableOnce

160. #### def regionMatches(arg0: Boolean, arg1: Int, arg2: String, arg3: Int, arg4: Int): Boolean

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

161. #### def regionMatches(arg0: Int, arg1: String, arg2: Int, arg3: Int): Boolean

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

162. #### def replace(arg0: CharSequence, arg1: CharSequence): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

163. #### def replace(arg0: Char, arg1: Char): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

164. #### def replaceAll(arg0: String, arg1: String): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

165. #### def replaceAllLiterally(literal: String, replacement: String): String

     Replace all literal occurrences of `literal` with the string `replacement`.

     Replace all literal occurrences of `literal` with the string `replacement`. This is equivalent to java.lang.String#replaceAll except that both arguments are appropriately quoted to avoid being interpreted as metacharacters.

     literal

       the string which should be replaced everywhere it occurs

     replacement

       the replacement string

     returns

       the resulting string

     Definition Classes
       StringLike

166. #### def replaceFirst(arg0: String, arg1: String): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

167. #### def repr: WrappedString

     The collection of type wrapped string underlying this `TraversableLike` object.

     The collection of type wrapped string underlying this `TraversableLike` object. By default this is implemented as the `TraversableLike` object itself, but this can be overridden.

     Definition Classes
       TraversableLike → GenTraversableLike

168. #### def reverse: WrappedString

     Returns new wrapped string wih elements in reversed order.

     Returns new wrapped string wih elements in reversed order.

     returns

       A new wrapped string with all elements of this wrapped string in reversed order.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

169. #### def reverseIterator: Iterator[Char]

     An iterator yielding elements in reversed order.

     An iterator yielding elements in reversed order.

     Note: `xs.reverseIterator` is the same as `xs.reverse.iterator` but might be more efficient.

     returns

       an iterator yielding the elements of this wrapped string in reversed order

     Definition Classes
       IndexedSeqOptimized → SeqLike

170. #### def reverseMap[B](f: (A) ⇒ B): WrappedString[B]

     [use case] Builds a new collection by applying a function to all elements of this wrapped string and collecting the results in reversed order.

     [use case]

     Builds a new collection by applying a function to all elements of this wrapped string and collecting the results in reversed order.

     Note: `xs.reverseMap(f)` is the same as `xs.reverse.map(f)` but might be more efficient.

     B

       the element type of the returned collection.

     f

       the function to apply to each element.

     returns

       a new wrapped string resulting from applying the given function `f` to each element of this wrapped string and collecting the results in reversed order.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def reverseMap[B, That](f: (Char) ⇒ B)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

171. #### def reversed: scala.List[Char]

     Attributes
       protected[this]
     Definition Classes
       TraversableOnce

172. #### def runWith[U](action: (Char) ⇒ U): (Int) ⇒ Boolean

     Composes this partial function with an action function which gets applied to results of this partial function.

     Composes this partial function with an action function which gets applied to results of this partial function. The action function is invoked only for its side effects; its result is ignored.

     Note that expression `pf.runWith(action)(x)` is equivalent to

         if(pf isDefinedAt x) { action(pf(x)); true } else false

     except that `runWith` is implemented via `applyOrElse` and thus potentially more efficient. Using `runWith` avoids double evaluation of pattern matchers and guards for partial function literals.

     action

       the action function

     returns

       a function which maps arguments `x` to `isDefinedAt(x)`. The resulting function runs `action(this(x))` where `this` is defined.

     Definition Classes
       PartialFunction
     Since

       2.10

     See also

       `applyOrElse`.

173. #### def sameElements(that: GenIterable[A]): Boolean

     [use case] Checks if the other iterable collection contains the same elements in the same order as this wrapped string.

     [use case]

     Checks if the other iterable collection contains the same elements in the same order as this wrapped string.

     that

       the collection to compare with.

     returns

       `true`, if both collections contain the same elements in the same order, `false` otherwise.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def sameElements[B >: Char](that: GenIterable[B]): Boolean

174. #### def scan[B >: Char, That](z: B)(op: (B, B) ⇒ B)(implicit cbf: CanBuildFrom[WrappedString, B, That]): That

     Computes a prefix scan of the elements of the collection.

     Computes a prefix scan of the elements of the collection.

     Note: The neutral element `z` may be applied more than once.

     B

       element type of the resulting collection

     That

       type of the resulting collection

     z

       neutral element for the operator `op`

     op

       the associative operator for the scan

     cbf

       combiner factory which provides a combiner

     returns

       a new wrapped string containing the prefix scan of the elements in this wrapped string

     Definition Classes
       TraversableLike → GenTraversableLike

175. #### def scanLeft[B, That](z: B)(op: (B, Char) ⇒ B)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

     Produces a collection containing cumulative results of applying the operator going left to right.

     Produces a collection containing cumulative results of applying the operator going left to right.

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike

176. #### def scanRight[B, That](z: B)(op: (Char, B) ⇒ B)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

     Produces a collection containing cumulative results of applying the operator going right to left.

     Produces a collection containing cumulative results of applying the operator going right to left. The head of the collection is the last cumulative result.

     Example:

         List(1, 2, 3, 4).scanRight(0)(_ + _) == List(10, 9, 7, 4, 0)

     B

       the type of the elements in the resulting collection

     That

       the actual type of the resulting collection

     z

       the initial value

     op

       the binary operator applied to the intermediate result and the element

     bf

       an implicit value of class `CanBuildFrom` which determines the result class `That` from the current representation type `Repr` and the new element type `B`.

     returns

       collection with intermediate results

     Definition Classes
       TraversableLike → GenTraversableLike
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) The behavior of `scanRight` has changed. The previous behavior can be reproduced with scanRight.reverse.

177. #### def segmentLength(p: (Char) ⇒ Boolean, from: Int): Int

     Computes length of longest segment whose elements all satisfy some predicate.

     Computes length of longest segment whose elements all satisfy some predicate.

     p

       the predicate used to test elements.

     from

       the index where the search starts.

     returns

       the length of the longest segment of this wrapped string starting from index `from` such that every element of the segment satisfies the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

178. #### val self: String

     a string contained within this wrapped string

179. #### def seq: IndexedSeq[Char]

     A version of this collection with all of the operations implemented sequentially (i.

     A version of this collection with all of the operations implemented sequentially (i.e. in a single-threaded manner).

     This method returns a reference to this collection. In parallel collections, it is redefined to return a sequential implementation of this collection. In both cases, it has O(1) complexity.

     returns

       a sequential view of the collection.

     Definition Classes
       IndexedSeq → IndexedSeq → IndexedSeqLike → Seq → Seq → GenSeq → GenSeqLike → Iterable → Iterable → GenIterable → Traversable → Traversable → GenTraversable → Parallelizable → TraversableOnce → GenTraversableOnce

180. #### def size: Int

     The size of this wrapped string, equivalent to `length`.

     The size of this wrapped string, equivalent to `length`.

     returns

       the number of elements in this wrapped string.

     Definition Classes
       SeqLike → GenTraversableLike → TraversableOnce → GenTraversableOnce

181. #### def slice(from: Int, until: Int): WrappedString

     Selects an interval of elements.

     Selects an interval of elements. The returned collection is made up of all elements `x` which satisfy the invariant:

         from <= indexOf(x) < until

     returns

       a wrapped string containing the elements greater than or equal to index `from` extending up to (but not including) index `until` of this wrapped string.

     Definition Classes
       WrappedString → StringLike → IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

182. #### def sliding(size: Int, step: Int): Iterator[WrappedString]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     step

       the distance between the first elements of successive groups (defaults to 1)

     returns

       An iterator producing wrapped strings of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

183. #### def sliding(size: Int): Iterator[WrappedString]

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.

     Groups elements in fixed size blocks by passing a "sliding window" over them (as opposed to partitioning them, as is done in grouped.)

     size

       the number of elements per group

     returns

       An iterator producing wrapped strings of size `size`, except the last and the only element will be truncated if there are fewer elements than size.

     Definition Classes
       IterableLike
     See also

       scala.collection.Iterator, method `sliding`

184. #### def sortBy[B](f: (Char) ⇒ B)(implicit ord: math.Ordering[B]): WrappedString

     Sorts this `WrappedString` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     Sorts this `WrappedString` according to the Ordering which results from transforming an implicitly given Ordering with a transformation function.

     B

       the target type of the transformation `f`, and the type where the ordering `ord` is defined.

     f

       the transformation function mapping elements to some other domain `B`.

     ord

       the ordering assumed on domain `B`.

     returns

       a wrapped string consisting of the elements of this wrapped string sorted according to the ordering where `x < y` if `ord.lt(f(x), f(y))`.

     Definition Classes
       SeqLike
     Example:

     1.     val words = "The quick brown fox jumped over the lazy dog".split(' ')
            // this works because scala.Ordering will implicitly provide an Ordering[Tuple2[Int, Char]]
            words.sortBy(x => (x.length, x.head))
            res0: Array[String] = Array(The, dog, fox, the, lazy, over, brown, quick, jumped)

     See also

       scala.math.Ordering

185. #### def sortWith(lt: (Char, Char) ⇒ Boolean): WrappedString

     Sorts this wrapped string according to a comparison function.

     Sorts this wrapped string according to a comparison function.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     lt

       the comparison function which tests whether its first argument precedes its second argument in the desired ordering.

     returns

       a wrapped string consisting of the elements of this wrapped string sorted according to the comparison function `lt`.

     Definition Classes
       SeqLike
     Example:

     1.     List("Steve", "Tom", "John", "Bob").sortWith(_.compareTo(_) < 0) =
            List("Bob", "John", "Steve", "Tom")

186. #### def sorted[B >: Char](implicit ord: math.Ordering[B]): WrappedString

     Sorts this wrapped string according to an Ordering.

     Sorts this wrapped string according to an Ordering.

     The sort is stable. That is, elements that are equal (as determined by `lt`) appear in the same order in the sorted sequence as in the original.

     ord

       the ordering to be used to compare elements.

     returns

       a wrapped string consisting of the elements of this wrapped string sorted according to the ordering `ord`.

     Definition Classes
       SeqLike
     See also

       scala.math.Ordering

187. #### def span(p: (Char) ⇒ Boolean): (WrappedString, WrappedString)

     Splits this wrapped string into a prefix/suffix pair according to a predicate.

     Splits this wrapped string into a prefix/suffix pair according to a predicate.

     Note: `c span p` is equivalent to (but possibly more efficient than) `(c takeWhile p, c dropWhile p)`, provided the evaluation of the predicate `p` does not cause any side-effects.

     returns

       a pair consisting of the longest prefix of this wrapped string whose elements all satisfy `p`, and the rest of this wrapped string.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

188. #### def split(separators: Array[Char]): Array[String]

     Definition Classes
       StringLike
     Annotations
       @throws ( cause = ... )

189. #### def split(separator: Char): Array[String]

     Definition Classes
       StringLike
     Annotations
       @throws ( cause = ... )

190. #### def splitAt(n: Int): (WrappedString, WrappedString)

     Splits this wrapped string into two at a given position.

     Splits this wrapped string into two at a given position. Note: `c splitAt n` is equivalent to (but possibly more efficient than) `(c take n, c drop n)`.

     n

       the position at which to split.

     returns

       a pair of wrapped strings consisting of the first `n` elements of this wrapped string, and the other elements.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike

191. #### def startsWith[B](that: GenSeq[B], offset: Int): Boolean

     Tests whether this wrapped string contains the given sequence at a given index.

     Tests whether this wrapped string contains the given sequence at a given index.

     Note: If the both the receiver object `this` and the argument `that` are infinite sequences this method may not terminate.

     that

       the sequence to test

     offset

       the index where the sequence is searched.

     returns

       `true` if the sequence `that` is contained in this wrapped string at index `offset`, otherwise `false`.

     Definition Classes
       IndexedSeqOptimized → SeqLike → GenSeqLike

192. #### def startsWith[B](that: GenSeq[B]): Boolean

     Tests whether this wrapped string starts with the given sequence.

     Tests whether this wrapped string starts with the given sequence.

     that

       the sequence to test

     returns

       `true` if this collection has `that` as a prefix, `false` otherwise.

     Definition Classes
       GenSeqLike

193. #### def stringPrefix: String

     Defines the prefix of this object's `toString` representation.

     Defines the prefix of this object's `toString` representation.

     returns

       a string representation which starts the result of `toString` applied to this wrapped string. By default the string prefix is the simple name of the collection class wrapped string.

     Definition Classes
       TraversableLike → GenTraversableLike

194. #### def stripLineEnd: String

     Strip trailing line end character from this string if it has one.

     Strip trailing line end character from this string if it has one.

     A line end character is one of

     - `LF` - line feed (`0x0A` hex)
     - `FF` - form feed (`0x0C` hex)

     If a line feed character `LF` is preceded by a carriage return `CR` (`0x0D` hex), the `CR` character is also stripped (Windows convention).

     Definition Classes
       StringLike

195. #### def stripMargin: String

     For every line in this string:

     For every line in this string:

     Strip a leading prefix consisting of blanks or control characters followed by `|` from the line.

     Definition Classes
       StringLike

196. #### def stripMargin(marginChar: Char): String

     For every line in this string:

     For every line in this string:

     Strip a leading prefix consisting of blanks or control characters followed by `marginChar` from the line.

     Definition Classes
       StringLike

197. #### def stripPrefix(prefix: String): String

     Returns this string with the given `prefix` stripped.

     Returns this string with the given `prefix` stripped.

     Definition Classes
       StringLike

198. #### def stripSuffix(suffix: String): String

     Returns this string with the given `suffix` stripped.

     Returns this string with the given `suffix` stripped. If this string does not end with `suffix`, it is returned unchanged.

     Definition Classes
       StringLike

199. #### def substring(arg0: Int, arg1: Int): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

200. #### def substring(arg0: Int): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

201. #### def sum: A

     [use case] Sums up the elements of this collection.

     [use case]

     Sums up the elements of this collection.

     returns

       the sum of all elements in this wrapped string of numbers of type `Int`. Instead of `Int`, any other type `T` with an implicit `Numeric[T]` implementation can be used as element type of the wrapped string and as result type of `sum`. Examples of such types are: `Long`, `Float`, `Double`, `BigInt`.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def sum[B >: Char](implicit num: Numeric[B]): B

202. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

203. #### def tail: WrappedString

     Selects all elements except the first.

     Selects all elements except the first.

     returns

       a wrapped string consisting of all elements of this wrapped string except the first one.

     Definition Classes
       IndexedSeqOptimized → TraversableLike → GenTraversableLike
     Exceptions thrown
       `UnsupportedOperationException`

       if the wrapped string is empty.

204. #### def tails: Iterator[WrappedString]

     Iterates over the tails of this wrapped string.

     Iterates over the tails of this wrapped string. The first value will be this wrapped string and the final one will be an empty wrapped string, with the intervening values the results of successive applications of `tail`.

     returns

       an iterator over all the tails of this wrapped string

     Definition Classes
       TraversableLike
     Example:

     1. `List(1,2,3).tails = Iterator(List(1,2,3), List(2,3), List(3), Nil)`

205. #### def take(n: Int): WrappedString

     Selects first n elements.

     Selects first n elements.

     n

       the number of elements to take from this wrapped string.

     returns

       a wrapped string consisting only of the first `n` elements of this wrapped string, or else the whole wrapped string, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

206. #### def takeRight(n: Int): WrappedString

     Selects last n elements.

     Selects last n elements.

     n

       the number of elements to take

     returns

       a wrapped string consisting only of the last `n` elements of this wrapped string, or else the whole wrapped string, if it has less than `n` elements.

     Definition Classes
       IndexedSeqOptimized → IterableLike

207. #### def takeWhile(p: (Char) ⇒ Boolean): WrappedString

     Takes longest prefix of elements that satisfy a predicate.

     Takes longest prefix of elements that satisfy a predicate.

     returns

       the longest prefix of this wrapped string whose elements all satisfy the predicate `p`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → TraversableLike → GenTraversableLike

208. #### def thisCollection: WrappedString

     The underlying collection seen as an instance of ``WrappedString``.

     The underlying collection seen as an instance of ``WrappedString``. By default this is implemented as the current collection object itself, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       WrappedString → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

209. #### def to[Col[_]]: Col[A]

     [use case] Converts this wrapped string into another by copying all elements.

     [use case]

     Converts this wrapped string into another by copying all elements.

     Col

       The collection type to build.

     returns

       a new collection containing all elements of this wrapped string.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def to[Col[_]](implicit cbf: CanBuildFrom[Nothing, Char, Col[Char]]): Col[Char]

210. #### def toArray: Array[A]

     [use case] Converts this wrapped string to an array.

     [use case]

     Converts this wrapped string to an array.

     returns

       an array containing all elements of this wrapped string. An `ClassTag` must be available for the element type of this wrapped string.

     Definition Classes
       StringLike → TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toArray[B >: Char](implicit arg0: ClassTag[B]): Array[B]

211. #### def toBoolean: Boolean

     Definition Classes
       StringLike

212. #### def toBuffer[A1 >: Char]: Buffer[A1]

     Converts this wrapped string to a mutable buffer.

     Converts this wrapped string to a mutable buffer.

     returns

       a buffer containing all elements of this wrapped string.

     Definition Classes
       IndexedSeqLike → TraversableOnce → GenTraversableOnce

213. #### def toByte: Byte

     Definition Classes
       StringLike

214. #### def toCharArray(): Array[Char]

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

215. #### def toCollection(repr: WrappedString): WrappedString

     A conversion from collections of type `Repr` to ``WrappedString`` objects.

     A conversion from collections of type `Repr` to ``WrappedString`` objects. By default this is implemented as just a cast, but this can be overridden.

     Attributes
       protected[this]
     Definition Classes
       WrappedString → IndexedSeqLike → SeqLike → IterableLike → TraversableLike

216. #### def toDouble: Double

     Definition Classes
       StringLike

217. #### def toFloat: Float

     Definition Classes
       StringLike

218. #### def toIndexedSeq: IndexedSeq[Char]

     Converts this wrapped string to an indexed sequence.

     Converts this wrapped string to an indexed sequence.

     returns

       an indexed sequence containing all elements of this wrapped string.

     Definition Classes
       IndexedSeq → TraversableOnce → GenTraversableOnce

219. #### def toInt: Int

     Definition Classes
       StringLike

220. #### def toIterable: collection.Iterable[Char]

     Converts this wrapped string to an iterable collection.

     Converts this wrapped string to an iterable collection. Note that the choice of target `Iterable` is lazy in this default implementation as this `TraversableOnce` may be lazy and unevaluated (i.e. it may be an iterator which is only traversable once).

     returns

       an `Iterable` containing all elements of this wrapped string.

     Definition Classes
       IterableLike → TraversableOnce → GenTraversableOnce

221. #### def toIterator: Iterator[Char]

     Returns an Iterator over the elements in this wrapped string.

     Returns an Iterator over the elements in this wrapped string. Will return the same Iterator if this instance is already an Iterator.

     returns

       an Iterator containing all elements of this wrapped string.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

222. #### def toList: scala.List[Char]

     Converts this wrapped string to a list.

     Converts this wrapped string to a list.

     returns

       a list containing all elements of this wrapped string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

223. #### def toLong: Long

     Definition Classes
       StringLike

224. #### def toLowerCase(): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

225. #### def toLowerCase(arg0: Locale): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

226. #### def toMap[T, U]: collection.Map[T, U]

     [use case] Converts this wrapped string to a map.

     [use case]

     Converts this wrapped string to a map. This method is unavailable unless the elements are members of Tuple2, each ((T, U)) becoming a key-value pair in the map. Duplicate keys will be overwritten by later keys: if this is an unordered collection, which key is in the resulting map is undefined.

     returns

       a map of type `immutable.Map[T, U]` containing all key/value pairs of type `(T, U)` of this wrapped string.

     Definition Classes
       TraversableOnce → GenTraversableOnce
     Full Signature

     #### def toMap[T, U](implicit ev: <:<[Char, (T, U)]): Map[T, U]

227. #### def toParArray: ParArray[Char]

     Implicit information
       This member is added by an implicit conversion from WrappedString to TraversableOps[Char] performed by method traversable2ops in scala.collection.parallel.
     Definition Classes
       TraversableOps

228. #### def toSeq: Seq[Char]

     Converts this wrapped string to a sequence.

     Converts this wrapped string to a sequence.

     Overridden for efficiency.

     returns

       a sequence containing all elements of this wrapped string.

     Definition Classes
       Seq → SeqLike → GenSeqLike → TraversableOnce → GenTraversableOnce

229. #### def toSet[B >: Char]: Set[B]

     Converts this wrapped string to a set.

     Converts this wrapped string to a set.

     returns

       a set containing all elements of this wrapped string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

230. #### def toShort: Short

     Definition Classes
       StringLike

231. #### def toStream: Stream[Char]

     Converts this wrapped string to a stream.

     Converts this wrapped string to a stream.

     returns

       a stream containing all elements of this wrapped string.

     Definition Classes
       IterableLike → TraversableLike → GenTraversableOnce

232. #### def toString(): String

     Converts this wrapped string to a string.

     Converts this wrapped string to a string.

     returns

       a string representation of this collection. By default this string consists of the `stringPrefix` of this wrapped string, followed by all elements separated by commas and enclosed in parentheses.

     Definition Classes
       WrappedString → SeqLike → Function1 → TraversableLike → AnyRef → Any

233. #### def toTraversable: collection.Traversable[Char]

     Converts this wrapped string to an unspecified Traversable.

     Converts this wrapped string to an unspecified Traversable. Will return the same collection if this instance is already Traversable.

     returns

       a Traversable containing all elements of this wrapped string.

     Definition Classes
       TraversableLike → TraversableOnce → GenTraversableOnce

234. #### def toUpperCase(): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

235. #### def toUpperCase(arg0: Locale): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

236. #### def toVector: scala.Vector[Char]

     Converts this wrapped string to a Vector.

     Converts this wrapped string to a Vector.

     returns

       a vector containing all elements of this wrapped string.

     Definition Classes
       TraversableOnce → GenTraversableOnce

237. #### def transpose[B](implicit asTraversable: (Char) ⇒ GenTraversableOnce[B]): IndexedSeq[IndexedSeq[B]]

     Transposes this wrapped string of traversable collections into a wrapped string of wrapped strings.

     Transposes this wrapped string of traversable collections into a wrapped string of wrapped strings.

     B

       the type of the elements of each traversable collection.

     asTraversable

       an implicit conversion which asserts that the element type of this wrapped string is a `Traversable`.

     returns

       a two-dimensional wrapped string of wrapped strings which has as nth row the nth column of this wrapped string.

     Definition Classes
       GenericTraversableTemplate
     Annotations
       @migration
     Migration

       (Changed in version 2.9.0) `transpose` throws an `IllegalArgumentException` if collections are not uniformly sized.

     Exceptions thrown
       `IllegalArgumentException`

       if all collections in this wrapped string are not of the same size.

238. #### def trim(): String

     Implicit information
       This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
     Definition Classes
       String

239. #### def union(that: collection.Seq[Char]): WrappedString[Char]

     [use case] Produces a new sequence which contains all elements of this wrapped string and also all elements of a given sequence.

     [use case]

     Produces a new sequence which contains all elements of this wrapped string and also all elements of a given sequence. `xs union ys` is equivalent to `xs ++ ys`.

     Another way to express this is that `xs union ys` computes the order-presevring multi-set union of `xs` and `ys`. `union` is hence a counter-part of `diff` and `intersect` which also work on multi-sets.

     that

       the sequence to add.

     returns

       a new wrapped string which contains all elements of this wrapped string followed by all elements of `that`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def union[B >: Char, That](that: GenSeq[B])(implicit bf: CanBuildFrom[WrappedString, B, That]): That

240. #### def unzip[A1, A2](implicit asPair: (Char) ⇒ (A1, A2)): (IndexedSeq[A1], IndexedSeq[A2])

     Converts this wrapped string of pairs into two collections of the first and second half of each pair.

     Converts this wrapped string of pairs into two collections of the first and second half of each pair.

     A1

       the type of the first half of the element pairs

     A2

       the type of the second half of the element pairs

     asPair

       an implicit conversion which asserts that the element type of this wrapped string is a pair.

     returns

       a pair wrapped strings, containing the first, respectively second half of each element pair of this wrapped string.

     Definition Classes
       GenericTraversableTemplate

241. #### def unzip3[A1, A2, A3](implicit asTriple: (Char) ⇒ (A1, A2, A3)): (IndexedSeq[A1], IndexedSeq[A2], IndexedSeq[A3])

     Converts this wrapped string of triples into three collections of the first, second, and third element of each triple.

     Converts this wrapped string of triples into three collections of the first, second, and third element of each triple.

     A1

       the type of the first member of the element triples

     A2

       the type of the second member of the element triples

     A3

       the type of the third member of the element triples

     asTriple

       an implicit conversion which asserts that the element type of this wrapped string is a triple.

     returns

       a triple wrapped strings, containing the first, second, respectively third member of each element triple of this wrapped string.

     Definition Classes
       GenericTraversableTemplate

242. #### def updated(index: Int, elem: A): WrappedString[A]

     [use case] A copy of this wrapped string with one single replaced element.

     [use case]

     A copy of this wrapped string with one single replaced element.

     index

       the position of the replacement

     elem

       the replacing element

     returns

       a copy of this wrapped string with the element at position `index` replaced by `elem`.

     Definition Classes
       SeqLike → GenSeqLike
     Full Signature

     #### def updated[B >: Char, That](index: Int, elem: B)(implicit bf: CanBuildFrom[WrappedString, B, That]): That

243. #### def view(from: Int, until: Int): SeqView[Char, WrappedString]

     Creates a non-strict view of a slice of this wrapped string.

     Creates a non-strict view of a slice of this wrapped string.

     Note: the difference between `view` and `slice` is that `view` produces a view of the current wrapped string, whereas `slice` produces a new wrapped string.

     Note: `view(from, to)` is equivalent to `view.slice(from, to)`

     from

       the index of the first element of the view

     until

       the index of the element following the view

     returns

       a non-strict view of a slice of this wrapped string, starting at index `from` and extending up to (but not including) index `until`.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

244. #### def view: SeqView[Char, WrappedString]

     Creates a non-strict view of this wrapped string.

     Creates a non-strict view of this wrapped string.

     returns

       a non-strict view of this wrapped string.

     Definition Classes
       SeqLike → IterableLike → TraversableLike

245. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ()

246. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ()

247. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws ()

248. #### def withFilter(p: (Char) ⇒ Boolean): FilterMonadic[Char, WrappedString]

     Creates a non-strict filter of this wrapped string.

     Creates a non-strict filter of this wrapped string.

     Note: the difference between `c filter p` and `c withFilter p` is that the former creates a new collection, whereas the latter only restricts the domain of subsequent `map`, `flatMap`, `foreach`, and `withFilter` operations.

     p

       the predicate used to test elements.

     returns

       an object of class `WithFilter`, which supports `map`, `flatMap`, `foreach`, and `withFilter` operations. All these operations apply to those elements of this wrapped string which satisfy the predicate `p`.

     Definition Classes
       TraversableLike → FilterMonadic

249. #### def zip[B](that: GenIterable[B]): WrappedString[(A, B)]

     [use case] Returns a wrapped string formed from this wrapped string and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a wrapped string formed from this wrapped string and another iterable collection by combining corresponding elements in pairs. If one of the two collections is longer than the other, its remaining elements are ignored.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     returns

       a new wrapped string containing pairs consisting of corresponding elements of this wrapped string and `that`. The length of the returned collection is the minimum of the lengths of this wrapped string and `that`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zip[A1 >: Char, B, That](that: GenIterable[B])(implicit bf: CanBuildFrom[WrappedString, (A1, B), That]): That

250. #### def zipAll[B](that: collection.Iterable[B], thisElem: A, thatElem: B): WrappedString[(A, B)]

     [use case] Returns a wrapped string formed from this wrapped string and another iterable collection by combining corresponding elements in pairs.

     [use case]

     Returns a wrapped string formed from this wrapped string and another iterable collection by combining corresponding elements in pairs. If one of the two collections is shorter than the other, placeholder elements are used to extend the shorter collection to the length of the longer.

     B

       the type of the second half of the returned pairs

     that

       The iterable providing the second half of each result pair

     thisElem

       the element to be used to fill up the result if this wrapped string is shorter than `that`.

     thatElem

       the element to be used to fill up the result if `that` is shorter than this wrapped string.

     returns

       a new wrapped string containing pairs consisting of corresponding elements of this wrapped string and `that`. The length of the returned collection is the maximum of the lengths of this wrapped string and `that`. If this wrapped string is shorter than `that`, `thisElem` values are used to pad the result. If `that` is shorter than this wrapped string, `thatElem` values are used to pad the result.

     Definition Classes
       IterableLike → GenIterableLike
     Full Signature

     #### def zipAll[B, A1 >: Char, That](that: GenIterable[B], thisElem: A1, thatElem: B)(implicit bf: CanBuildFrom[WrappedString, (A1, B), That]): That

251. #### def zipWithIndex: WrappedString[(A, Int)]

     [use case] Zips this wrapped string with its indices.

     [use case]

     Zips this wrapped string with its indices.

     returns

       A new wrapped string containing pairs consisting of all elements of this wrapped string paired with their index. Indices start at `0`.

     Definition Classes
       IndexedSeqOptimized → IterableLike → GenIterableLike
     Full Signature

     #### def zipWithIndex[A1 >: Char, That](implicit bf: CanBuildFrom[WrappedString, (A1, Int), That]): That

     Example:

     1. `List("a", "b", "c").zipWithIndex = List(("a", 0), ("b", 1), ("c", 2))`

252. #### def →[B](y: B): (WrappedString, B)

     Implicit information
       This member is added by an implicit conversion from WrappedString to ArrowAssoc[WrappedString] performed by method any2ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Shadowed Implict Value Members

1. #### final def +(arg0: Any): String

   Implicit information
     This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrappedString: String).+(arg0)

   Definition Classes
     String

2. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from WrappedString to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrappedString: StringAdd).+(other)

   Definition Classes
     StringAdd

3. #### def charAt(arg0: Int): Char

   Implicit information
     This member is added by an implicit conversion from WrappedString to CharSequence performed by method seqToCharSequence in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrappedString: CharSequence).charAt(arg0)

   Definition Classes
     CharSequence

4. #### def charAt(arg0: Int): Char

   Implicit information
     This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrappedString: String).charAt(arg0)

   Definition Classes
     String → CharSequence

5. #### def compareTo(arg0: String): Int

   Implicit information
     This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (wrappedString: String).compareTo(arg0)

   Definition Classes
     String → Comparable

6. #### def contains(arg0: CharSequence): Boolean

   Implicit information
     This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (wrappedString: String).contains(arg0)

   Definition Classes
     String

7. #### def endsWith(arg0: String): Boolean

   Implicit information
     This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (wrappedString: String).endsWith(arg0)

   Definition Classes
     String

8. #### def equals(arg0: Any): Boolean

   The equality method for reference types.

   The equality method for reference types. Default implementation delegates to `eq`.

   See also `equals` in scala.Any.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Implicit information
     This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (wrappedString: String).equals(arg0)

   Definition Classes
     String → AnyRef → Any

9. #### def filter(p: (Char) ⇒ Boolean): TraversableOnce[Char]

   Implicit information
     This member is added by an implicit conversion from WrappedString to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
   Shadowing
     This implicitly inherited member is shadowed by one or more members in this class.
     To access this member you can use a type ascription:

         (wrappedString: MonadOps[Char]).filter(p)

   Definition Classes
     MonadOps

10. #### def flatMap[B](f: (Char) ⇒ GenTraversableOnce[B]): TraversableOnce[B]

    Implicit information
      This member is added by an implicit conversion from WrappedString to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: MonadOps[Char]).flatMap(f)

    Definition Classes
      MonadOps

11. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).hashCode()

    Definition Classes
      String → AnyRef → Any

12. #### def indexOf(arg0: String, arg1: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).indexOf(arg0, arg1)

    Definition Classes
      String

13. #### def indexOf(arg0: String): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).indexOf(arg0)

    Definition Classes
      String

14. #### def indexOf(arg0: Int, arg1: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).indexOf(arg0, arg1)

    Definition Classes
      String

15. #### def indexOf(arg0: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).indexOf(arg0)

    Definition Classes
      String

16. #### def isEmpty(): Boolean

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).isEmpty()

    Definition Classes
      String

17. #### def lastIndexOf(arg0: String, arg1: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).lastIndexOf(arg0, arg1)

    Definition Classes
      String

18. #### def lastIndexOf(arg0: String): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).lastIndexOf(arg0)

    Definition Classes
      String

19. #### def lastIndexOf(arg0: Int, arg1: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).lastIndexOf(arg0, arg1)

    Definition Classes
      String

20. #### def lastIndexOf(arg0: Int): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).lastIndexOf(arg0)

    Definition Classes
      String

21. #### def length(): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to CharSequence performed by method seqToCharSequence in scala.Predef.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: CharSequence).length()

    Definition Classes
      CharSequence

22. #### def length(): Int

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).length()

    Definition Classes
      String → CharSequence

23. #### def map[B](f: (Char) ⇒ B): TraversableOnce[B]

    Implicit information
      This member is added by an implicit conversion from WrappedString to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: MonadOps[Char]).map(f)

    Definition Classes
      MonadOps

24. #### val self: Any

    Implicit information
      This member is added by an implicit conversion from WrappedString to StringAdd performed by method any2stringadd in scala.Predef.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: StringAdd).self

    Definition Classes
      StringAdd

25. #### val self: Any

    Implicit information
      This member is added by an implicit conversion from WrappedString to StringFormat performed by method any2stringfmt in scala.Predef.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: StringFormat).self

    Definition Classes
      StringFormat

26. #### def split(arg0: String): Array[String]

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).split(arg0)

    Definition Classes
      String

27. #### def split(arg0: String, arg1: Int): Array[String]

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).split(arg0, arg1)

    Definition Classes
      String

28. #### def startsWith(arg0: String): Boolean

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).startsWith(arg0)

    Definition Classes
      String

29. #### def startsWith(arg0: String, arg1: Int): Boolean

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).startsWith(arg0, arg1)

    Definition Classes
      String

30. #### def subSequence(arg0: Int, arg1: Int): CharSequence

    Implicit information
      This member is added by an implicit conversion from WrappedString to CharSequence performed by method seqToCharSequence in scala.Predef.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (wrappedString: CharSequence).subSequence(arg0, arg1)

    Definition Classes
      CharSequence

31. #### def subSequence(arg0: Int, arg1: Int): CharSequence

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
      To access this member you can use a type ascription:

          (wrappedString: String).subSequence(arg0, arg1)

    Definition Classes
      String → CharSequence

32. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Implicit information
      This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: String).toString()

    Definition Classes
      String → CharSequence → AnyRef → Any

33. #### def withFilter(p: (Char) ⇒ Boolean): Iterator[Char]

    Implicit information
      This member is added by an implicit conversion from WrappedString to MonadOps[Char] performed by method MonadOps in scala.collection.TraversableOnce.
    Shadowing
      This implicitly inherited member is shadowed by one or more members in this class.
      To access this member you can use a type ascription:

          (wrappedString: MonadOps[Char]).withFilter(p)

    Definition Classes
      MonadOps

### Deprecated Value Members

1. #### def /:\[A1 >: Char](z: A1)(op: (A1, A1) ⇒ A1): A1

   A syntactic sugar for out of order folding.

   A syntactic sugar for out of order folding. See `fold`.

   Example:

       scala> val a = LinkedList(1,2,3,4)
       a: scala.collection.mutable.LinkedList[Int] = LinkedList(1, 2, 3, 4)

       scala> val b = (a /:\ 5)(_+_)
       b: Int = 15

   Definition Classes
     GenTraversableOnce
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) use fold instead

2. #### def getBytes(arg0: Int, arg1: Int, arg2: Array[Byte], arg3: Int): Unit

   Implicit information
     This member is added by an implicit conversion from WrappedString to String performed by method unwrapString in scala.LowPriorityImplicits.
   Definition Classes
     String
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3. #### def x: WrappedString

   Implicit information
     This member is added by an implicit conversion from WrappedString to ArrowAssoc[WrappedString] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrappedString: ArrowAssoc[WrappedString]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

4. #### def x: WrappedString

   Implicit information
     This member is added by an implicit conversion from WrappedString to Ensuring[WrappedString] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (wrappedString: Ensuring[WrappedString]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from StringLike[WrappedString]

### Inherited from math.Ordered[String]

### Inherited from Comparable[String]

### Inherited from IndexedSeqOptimized[Char, WrappedString]

### Inherited from IndexedSeq[Char]

### Inherited from collection.IndexedSeq[Char]

### Inherited from IndexedSeqLike[Char, WrappedString]

### Inherited from Seq[Char]

### Inherited from Iterable[Char]

### Inherited from Traversable[Char]

### Inherited from Immutable

### Inherited from AbstractSeq[Char]

### Inherited from collection.Seq[Char]

### Inherited from SeqLike[Char, WrappedString]

### Inherited from GenSeq[Char]

### Inherited from GenSeqLike[Char, WrappedString]

### Inherited from PartialFunction[Int, Char]

### Inherited from (Int) ⇒ Char

### Inherited from AbstractIterable[Char]

### Inherited from collection.Iterable[Char]

### Inherited from IterableLike[Char, WrappedString]

### Inherited from Equals

### Inherited from GenIterable[Char]

### Inherited from GenIterableLike[Char, WrappedString]

### Inherited from AbstractTraversable[Char]

### Inherited from collection.Traversable[Char]

### Inherited from GenTraversable[Char]

### Inherited from GenericTraversableTemplate[Char, IndexedSeq]

### Inherited from TraversableLike[Char, WrappedString]

### Inherited from GenTraversableLike[Char, WrappedString]

### Inherited from Parallelizable[Char, ParSeq[Char]]

### Inherited from TraversableOnce[Char]

### Inherited from GenTraversableOnce[Char]

### Inherited from FilterMonadic[Char, WrappedString]

### Inherited from HasNewBuilder[Char, WrappedString]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion seqToCharSequence from WrappedString to CharSequence

### Inherited by implicit conversion unwrapString from WrappedString to String

### Inherited by implicit conversion traversable2ops from WrappedString to TraversableOps[Char]

### Inherited by implicit conversion MonadOps from WrappedString to MonadOps[Char]

### Inherited by implicit conversion any2stringadd from WrappedString to StringAdd

### Inherited by implicit conversion any2stringfmt from WrappedString to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from WrappedString to ArrowAssoc[WrappedString]

### Inherited by implicit conversion any2Ensuring from WrappedString to Ensuring[WrappedString]

### Inherited by implicit conversion alternateImplicit from WrappedString to ForceImplicitAmbiguity

### Ungrouped